Этот плагин не тестировался с последними 3 основными выпусками WordPress. Скорее всего, он уже не поддерживается и может быть несовместим с текущими версиями WordPress.

Disable URL Autocorrect Guessing

Описание

This plugin disables WordPress’ URL autocorrection guessing feature.
If you for example enter the URL http://www.myblog.com/proj you won’t be redirected
to http://www.myblog.com/project-2013 anymore.

This plugin is based on a comment of nacin here: https://core.trac.wordpress.org/ticket/16557

Установка

  1. Upload disable-url-autocorrect-guessing.php to the /wp-content/plugins/ directory
  2. Activate the plugin through the ‘Plugins’ menu in WordPress

Часто задаваемые вопросы

Installation Instructions
  1. Upload disable-url-autocorrect-guessing.php to the /wp-content/plugins/ directory
  2. Activate the plugin through the ‘Plugins’ menu in WordPress

Отзывы

Not working for me

It’s pretty horrible that wordpress auto-guesses a url because it will break pagination when category pages are auto-guessed and that leads to lots of internal 404s by webmasters.

I got this plugin working and it solved all my problems. Just make sure you purge any cdn and cache. I think it also might conflict with some Drupal to WordPress migration plugins, so you’ll have to disable those eventually.

Works Perfectly

It’s not really needed because the code can just be put in functions.php, but this does make it easier for people who don’t know anything about PHP.

Perfect

Stop perfectly WordPress auto guess URL that created indexation problem in SERP after site malware infection

Посмотреть все 7 отзывов

Участники и разработчики

«Disable URL Autocorrect Guessing» — проект с открытым исходным кодом. В развитие плагина внесли свой вклад следующие участники:

Участники

Перевести «Disable URL Autocorrect Guessing» на ваш язык.

Заинтересованы в разработке?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Журнал изменений

1.1

Added check for $_GET['p'] to allow rel=shortlink according to comment of user esemlabel:
https://core.trac.wordpress.org/ticket/16557#comment:28

1.0

  • First (and possibly last) version.